.section {
}

.blogPost {
  @extend %card;
  flex-direction: row;
  width: 100%;
  max-width: 85rem;
  height: auto;
  padding: 0;
  margin: 3rem auto;
  align-items: center;

  &:first-child {
    margin-top: 0;
  }

  &:last-child {
    margin-bottom: 0;
  }

  @media (max-width: $sizing-breakpoint-xl) {
    flex-direction: column;
  }
}

.imageCell {
  flex: none;

  @media (max-width: $sizing-breakpoint-xxl) {
    flex: 1;
  }

  @media (max-width: $sizing-breakpoint-xl) {
    flex: none;
    width: 100%;
  }
}

.featuredImageContainer {
  position: relative;
  display: block;
  width: 40rem;
  height: 25rem;
  margin: 0 auto;
  border-radius: $sizing-border-radius;
  overflow: hidden;

  &:hover {
    opacity: 1;
  }

  @media (max-width: $sizing-breakpoint-xxl) {
    width: 100%;
  }
}

.featureImageWrapper {
  height: inherit;
}

.category {
  position: absolute;
  top: 0;
  left: 0;
  background: $color-bg-4;
  border-bottom-right-radius: $sizing-border-radius;
  padding: 0.4rem 0.8rem;
  text-transform: uppercase;
  color: $color-font-4;
  text-shadow: 1px 1px rgba(0, 0, 0, 0.2);
}

.infoCell {
  padding-left: 2rem;
  flex: 1;

  @media (max-width: $sizing-breakpoint-xl) {
    flex: none;
    width: 100%;
    padding: 2rem;
  }

  @media (max-width: $sizing-breakpoint-m) {
    padding: 1rem;
  }

  @media (max-width: $sizing-breakpoint-s) {
    padding: 0;
  }
}

.content {
  flex: 1;
  text-align: left;
  padding: 1.5rem;
  font-size: 1.2em;
}

.meta {
  display: flex;
  flex-direction: row;
}

.date {
  margin-right: 1rem;
}

.author {
  flex: 1;
}

.copy {
  overflow: hidden;
}

.title {
  display: block;
  margin-top: 2rem;
  font-size: 1.3em;
  font-weight: bold;
}

.synopsis {
  margin-top: 1rem;
  line-height: 1.5em;
}

.readMore {
  display: block;
  margin-top: 2rem;
  font-weight: bold;
  text-transform: uppercase;

  span:last-child {
    margin-left: 0.5rem;
    color: $color-bg-4;
  }
}
